> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/platform/introducing-digit/releases/digit-2.9-lts/lts-digit-migration-v2.8-to-v2.9.md).

# LTS DIGIT Migration - v2.8 To v2.9

## Overview

This comprehensive documentation provides step-by-step instructions and best practices for smoothly migrating your DIGIT installation from version 2.8 to the v2.9 (LTS) release.

## Pre-requisites

* [Elasticsearch Upgrade](https://core.digit.org/guides/operations-guide/availability/backbone-services/elastic-search)
* [Kafka Upgrade](https://core.digit.org/guides/operations-guide/availability/backbone-services/kafka)
* [Postgres Upgrade](https://docs.digit.org/platform/introducing-digit/releases/digit-2.9-lts/updating-rds-version-in-aws.md)

## Steps

* To begin the migration process from DIGIT v2.8 to v2.9 LTS, it's crucial to first upgrade all prerequisite backbone services.
* Following this, scale down the Zuul replica count to zero using the provided command

```
kubectl scale deployment <deployment_name> --replicas=0 -n <namespace>
```

* Next, proceed with deploying the core service images as outlined in the attached [release chart](https://github.com/egovernments/DIGIT-DevOps/blob/digit-lts-go/config-as-code/product-release-charts/DIGIT/dependancy_chart-digit-v2.9.yaml#L19-L60).

{% hint style="info" %}
**Note:** You can deploy the images using Jenkins or else using the below go command.
{% endhint %}

```
go run main.go deploy -e <env_file> <image_name>
# you can provide multiple images seperated by comma in the above command for multiple deployments
```

* Once all deployed services are confirmed to be up and running smoothly, the migration from v2.8 to v2.9 LTS can be considered complete.

{% hint style="info" %}
**Note:** It's important to note that all resources related to Zuul should be deleted, as version 2.9 LTS onward transitions to the use of a gateway, deprecating Zuul.
{% endhint %}

* Note: If you encounter this (**`V20180731215512__alter_eg_role_address_fk.sql or version V20180731215512`**) flyway migration issue in **egov-user** service, follow these steps to resolve it
  * Connect to postgres pod of your server since we need to run few query to resolve it.
  * Run this SQL query : `DELETE FROM egov_user_schema where version = '20180731215512';`
  * Now run this SQL query : `ALTER TABLE eg_userrole DROP CONSTRAINT eg_userrole_userid_fkey;`
  * Restart the egov-user pod after successfullt executing these queries.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/platform/introducing-digit/releases/digit-2.9-lts/lts-digit-migration-v2.8-to-v2.9.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
